aboutsummaryrefslogtreecommitdiff
path: root/dev-python/zope-app-wsgi
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2023-02-06 23:42:44 -0500
committerJulien Roy <julien@jroy.ca>2023-02-06 23:42:44 -0500
commit4c614dbf4bbd715508cf1d374f0abbf772e49ee6 (patch)
tree2c07dcedaa6452d581f2a24f94e95454a397f7bf /dev-python/zope-app-wsgi
parentdf7041c23b1221f3c1445e3e887f2077876ba7a0 (diff)
downloadMrRoy-Overlay-4c614dbf4bbd715508cf1d374f0abbf772e49ee6.tar.gz
MrRoy-Overlay-4c614dbf4bbd715508cf1d374f0abbf772e49ee6.tar.bz2
MrRoy-Overlay-4c614dbf4bbd715508cf1d374f0abbf772e49ee6.zip
dev-python/zope-app-wsgi: new package, add 5.0
Signed-off-by: Julien Roy <julien@jroy.ca>
Diffstat (limited to 'dev-python/zope-app-wsgi')
-rw-r--r--dev-python/zope-app-wsgi/Manifest1
-rw-r--r--dev-python/zope-app-wsgi/metadata.xml33
-rw-r--r--dev-python/zope-app-wsgi/zope-app-wsgi-5.0.ebuild59
3 files changed, 93 insertions, 0 deletions
diff --git a/dev-python/zope-app-wsgi/Manifest b/dev-python/zope-app-wsgi/Manifest
new file mode 100644
index 0000000..17b4450
--- /dev/null
+++ b/dev-python/zope-app-wsgi/Manifest
@@ -0,0 +1 @@
+DIST zope-app-wsgi-5.0.gh.tar.gz 22615 BLAKE2B 68e7e1ef7a8544678ed47ec38df48005472cac7f1474becbd75302da75c7b1f373fe3d9157e3df798b942fe69b699564a4fce6057cd8df0807acea29c9d06b4c SHA512 b4c5726fb87423d5dbd24ace724c75dca559eab43dbf5da64931555841a140f24a8b68b7ea2ffbfef4f4fd1f8f4321d4804437cdafe11655acec26fc76881789
diff --git a/dev-python/zope-app-wsgi/metadata.xml b/dev-python/zope-app-wsgi/metadata.xml
new file mode 100644
index 0000000..9b27098
--- /dev/null
+++ b/dev-python/zope-app-wsgi/metadata.xml
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ This package provides the WSGIPublisherApplication class which exposes the object publishing machinery in zope.publisher as a WSGI application. It also lets us bring up the Zope application server (parsing zope.conf and site.zcml) with a mere function call:
+
+ >>> db = zope.app.wsgi.config('zope.conf')
+ This is especially useful for debugging.
+
+ To bring up Zope and obtain the WSGI application object at the same time, use the getWSGIApplication function.
+
+ This package also provides an easy to use application factory for PasteDeploy. You can simply specify an application configuration like this in your Paste configuration file:
+
+ [app:main]
+ use = egg:zope.app.wsgi
+ config_file = %(here)s/zope.conf
+ Look for more documentation inside the package itself.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <changelog>https://github.com/zopefoundation/zope.app.wsgi/blob/master/CHANGES.rst</changelog>
+ <bugs-to>https://github.com/zopefoundation/zope.app.wsgi/issues</bugs-to>
+ <remote-id type="github">zopefoundation/zope.app.wsgi</remote-id>
+ <remote-id type="pypi">zope.app.wsgi</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-app-wsgi/zope-app-wsgi-5.0.ebuild b/dev-python/zope-app-wsgi/zope-app-wsgi-5.0.ebuild
new file mode 100644
index 0000000..6e41018
--- /dev/null
+++ b/dev-python/zope-app-wsgi/zope-app-wsgi-5.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="WSGI application for the zope.publisher package"
+HOMEPAGE="https://github.com/zopefoundation/zope.app.wsgi"
+SRC_URI="https://github.com/zopefoundation/zope.app.wsgi/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/zope.app.wsgi-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+# Zope Testrunner
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/transaction[${PYTHON_USEDEP}]
+ dev-python/zconfig[${PYTHON_USEDEP}]
+ dev-python/zope-app-appsetup[${PYTHON_USEDEP}]
+ dev-python/zope-app-publication[${PYTHON_USEDEP}]
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ dev-python/zope-container[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ dev-python/zope-processlifetime[${PYTHON_USEDEP}]
+ dev-python/zope-publisher[${PYTHON_USEDEP}]
+ dev-python/zope-security[${PYTHON_USEDEP}]
+ dev-python/zope-site[${PYTHON_USEDEP}]
+ dev-python/zope-traversing[${PYTHON_USEDEP}]
+ test? (
+ dev-python/webtest[${PYTHON_USEDEP}]
+ dev-python/zope-authentication[${PYTHON_USEDEP}]
+ dev-python/zope-browserpage[${PYTHON_USEDEP}]
+ dev-python/zope-principalregistry[${PYTHON_USEDEP}]
+ dev-python/zope-securitypolicy[${PYTHON_USEDEP}]
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}